The Context Engine Studio is now open source.  View on GitHub →
Clinia
Graph

Get node

Technical preview
GET
/v1/patients/{patientId}/graph/nodes/{type}/items/{nodeId}

Returns a single node from the patient context graph by id

Authorization

Bearer read
AuthorizationBearer <token>

Each operation lists the OAuth scope (read or write) it requires.

In: header

Scope: read

Path Parameters

patientId*string

ID of the patient

Match^[A-Za-z0-9._~:-]{1,128}$
type*string

Type of node to operate on.

Value in

  • "extracted_fact"
  • "fact"
  • "extracted_narrative"
  • "narrative_passage"
  • "narrative"
  • "learned_memory"
  • "extracted_clinical_event"
nodeId*string

A node id: its type's prefix, _, then the underlying id. Supported prefixes: ef (extracted_fact), fct (fact), en (extracted_narrative), np (narrative_passage), nar (narrative), lm (learned_memory), ece (extracted_clinical_event).

Match^(ef|fct|en|np|nar|lm|ece)_[a-z][0-9a-z]{23}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/patients/string/graph/nodes/extracted_fact/items/string"
{  "type": "extracted_fact",  "id": "string",  "createdAt": "string",  "updatedAt": "string",  "payload": {    "display": "string",    "codes": [      {        "system": "string",        "code": "string",        "display": "string"      }    ],    "authoredAt": "string",    "type": "condition",    "effectivePeriod": {      "start": "string",      "end": "string"    },    "status": "active",    "assertedAt": "string",    "statusChangedAt": "string",    "source": {      "type": "fhir",      "origin": "string",      "ref": "string",      "recordedAt": "string",      "ingestedAt": "string"    },    "ingestionId": "string"  }}